Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 111278 - media-gfx/synfig-0.61.06.ebuild (new package)
Summary: media-gfx/synfig-0.61.06.ebuild (new package)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Normal normal with 1 vote (vote)
Assignee: Default Assignee for New Packages
URL: http://www.synfig.com
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
: 149541 440112 (view as bug list)
Depends on: 111277
Blocks: 111279
  Show dependency tree
 
Reported: 2005-11-02 11:23 UTC by Ali Sabil
Modified: 2019-03-02 14:49 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
synfig-0.61.00_p38.ebuild (synfig-0.61.00_p38.ebuild,1.22 KB, text/plain)
2005-11-02 11:23 UTC, Ali Sabil
Details
synfig-0.61.01.ebuild (synfig-0.61.01.ebuild,1.23 KB, application/octet-stream)
2005-11-14 09:16 UTC, Luc Stepniewski
Details
synfig-0.61.03.ebuild (synfig-0.61.03.ebuild,966 bytes, text/plain)
2006-02-07 13:28 UTC, jebas
Details
synfig-0.61.05.ebuild (synfig-0.61.05.ebuild,1.04 KB, text/plain)
2006-03-01 14:35 UTC, jebas
Details
synfig-0.61.05.ebuild (synfig-0.61.05.ebuild,1.19 KB, text/plain)
2006-03-12 09:32 UTC, James Le Cuirot
Details
synfig-0.61.05.ebuild (synfig-0.61.05.ebuild,1.17 KB, text/plain)
2006-03-12 10:04 UTC, James Le Cuirot
Details
synfig-20060929.ebuild based on user subversion download (synfig-20060929.ebuild,1.52 KB, text/plain)
2006-10-08 07:53 UTC, Steve L
Details
Updated ebuild for synfig base pkg, svn co #229 (synfig-229.ebuild,1.54 KB, text/plain)
2007-01-03 11:48 UTC, Steve L
Details
Synfig-229 Ebuild updated for docs (synfig-229.ebuild,1.69 KB, text/plain)
2007-01-13 17:13 UTC, Steve L
Details
Synfig-231 (minor update) (synfig-231.ebuild,1.48 KB, text/plain)
2007-01-30 00:38 UTC, Steve L
Details
synfig-502.ebuild (synfig-502.ebuild,1.45 KB, text/plain)
2007-06-13 11:14 UTC, Steve L
Details
synfig-0.61.06.ebuild (synfig-0.61.06.ebuild,1.12 KB, text/plain)
2007-08-04 21:35 UTC, oninoshiko
Details
synfig-0.61.07.ebuild (synfig-0.61.07.ebuild,1.12 KB, text/plain)
2007-10-12 08:58 UTC, Alexander Kazarin
Details
changed make install to emake install (synfig-0.61.07.ebuild,1.12 KB, text/plain)
2007-11-19 20:38 UTC, Cillian de Róiste
Details
adding ~amd64 as a keyword (synfig-0.61.07.ebuild,1.12 KB, text/plain)
2007-11-19 20:48 UTC, Cillian de Róiste
Details
bumped version (synfig-0.61.08.ebuild,1.12 KB, text/plain)
2008-04-11 20:13 UTC, quazgar
Details
Version bump, some minor changes (synfig-0.61.09.ebuild,1.20 KB, text/plain)
2008-10-16 23:16 UTC, quazgar
Details
Examples have changed names (synfig-0.61.09.ebuild,1.23 KB, text/plain)
2008-10-16 23:43 UTC, quazgar
Details
synfig-0.62.00.ebuild (synfig-0.62.00.ebuild,1.19 KB, text/plain)
2009-12-22 22:27 UTC, Diego Barrios Romero
Details
Development version (synfig-9999.ebuild,1.46 KB, text/plain)
2009-12-22 22:29 UTC, Diego Barrios Romero
Details
Release version. minor changes (synfig-0.62.00.ebuild,1.19 KB, text/plain)
2009-12-22 23:46 UTC, Diego Barrios Romero
Details
Development version (synfig-9999.ebuild,1.46 KB, text/plain)
2009-12-22 23:47 UTC, Diego Barrios Romero
Details
Version bump (synfig-0.62.00.ebuild,1.16 KB, text/plain)
2010-02-17 22:00 UTC, Diego Barrios Romero
Details
synfig-0.61.09 build log (doesn't build [libsynfig_la-value.lo] Error 1) (build.log,607.46 KB, text/plain)
2010-03-07 11:34 UTC, Benjamin Southall
Details
Version bump. Fix thanks to rubik's cube! (synfig-0.62.00.ebuild,1.26 KB, text/plain)
2010-03-16 14:34 UTC, Diego Barrios Romero
Details
Development version. Fix thanks to rubik's cube (synfig-9999.ebuild,1.50 KB, text/plain)
2010-03-16 14:38 UTC, Diego Barrios Romero
Details
synfig-9999.ebuild (synfig-9999.ebuild,1.49 KB, text/plain)
2014-02-14 10:26 UTC, Jiří Helebrant
Details
synfig-0.64.2.ebuild (synfig-0.64.2.ebuild,919 bytes, text/plain)
2014-12-12 13:10 UTC, Sławek Lis (RETIRED)
Details
draft ebuild for ETL 1.3.11 (ETL-1.3.11.ebuild,782 bytes, text/plain)
2019-03-02 14:47 UTC, Samuel Bauer
Details
draft ebuild for synfig core 1.3.11 (synfig-1.3.11.ebuild,1.77 KB, text/plain)
2019-03-02 14:48 UTC, Samuel Bauer
Details
draft ebuild for synfig studio 1.3.11 (synfigstudio-1.3.11.ebuild,1.06 KB, text/plain)
2019-03-02 14:49 UTC, Samuel Bauer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ali Sabil 2005-11-02 11:23:06 UTC
The core libraries and a command line rendering utility for Synfig, an
industrial-strength vector-based 2D animation software package.

Reproducible: Always
Steps to Reproduce:
Comment 1 Ali Sabil 2005-11-02 11:23:41 UTC
Created attachment 71948 [details]
synfig-0.61.00_p38.ebuild
Comment 2 Daniel Fort 2005-11-03 05:34:22 UTC
Thanks for the ebuild.

Keyworded ~amd64 and attempted to emerge synfig-studio. ETL seemed to emerge
fine but synfig bailed out.

 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I../.. -I../.. -I../../src
-I../../libltdl -I/usr/include/libxml++-2.6 -I/usr/include/libxml2
-I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include
-I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sigc++-2.0
-I/usr/lib64/sigc++-2.0/include -DSYNFIG_NO_DEPRECATED -DLIBDIR=\"/usr/lib64\"
-DSYSCONFDIR=\"/etc\" -DNDEBUG -Wno-deprecated -O2 -ffast-math -W -Wall
-Wno-unused-parameter -fpermissive -MT libsynfig_la-layer_shape.lo -MD -MP -MF
.deps/libsynfig_la-layer_shape.Tpo -c layer_shape.cpp  -fPIC -DPIC -o
.libs/libsynfig_la-layer_shape.o
/usr/include/ETL/_surface.h: In member function `void etl::surface<T, AT,
VP>::blit_to(_pen&, int, int, int, int) [with _pen =
etl::generic_pen<synfig::Color, synfig::ColorAccumulator>, T = synfig::Color, AT
= synfig::ColorAccumulator, VP = synfig::ColorPrep]':
../../src/synfig/surface.h:98:   instantiated from `void
synfig::Surface::blit_to(_pen&, int, int, int, int) [with _pen =
etl::generic_pen<synfig::Color, synfig::ColorAccumulator>]'
../../src/synfig/surface.h:93:   instantiated from `void
synfig::Surface::blit_to(_pen&) [with _pen = etl::generic_pen<synfig::Color,
synfig::ColorAccumulator>]'
layer_shape.cpp:2490:   instantiated from here
/usr/include/ETL/_surface.h:277: error: no matching function for call to
`min(int&, long int)'
make[3]: *** [libsynfig_la-layer_shape.lo] Error 1
make[3]: Leaving directory
`/var/tmp/portage/synfig-0.61.00_p38/work/synfig-0.61.00-38/src/synfig'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/var/tmp/portage/synfig-0.61.00_p38/work/synfig-0.61.00-38/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/var/tmp/portage/synfig-0.61.00_p38/work/synfig-0.61.00-38'
make: *** [all] Error 2

!!! ERROR: media-gfx/synfig-0.61.00_p38 failed.
!!! Function src_compile, Line 41, Exitcode 2
!!! emake failed
!!! If you need support, post the topmost build error, NOT this status message.

Note that I also tried to build from the tarballs posted at
http://www.deepdarc.com/2005/11/01/synfig-developer-preview/ and again ETL
seemed to install fine but the synfig configure script could not find it. Also
note that 'make check' on ETL fails, but then again test failure on x86_64 are
fairly common.

emerge info
Portage 2.0.51.22-r3 (default-linux/amd64/2005.0, gcc-3.4.4, glibc-2.3.5-r2,
2.6.13-gentoo-r3 x86_64)
=================================================================
System uname: 2.6.13-gentoo-r3 x86_64 AMD Athlon(tm) 64 Processor 3400+
Gentoo Base System version 1.6.13
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/lib64/mozilla/defaults/pref /usr/share/config
/usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/
/usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/
/usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache digest distlocks fixpackages nostrip sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 3dnowex X Xaw3d aac aalib alsa apache2 arts avi bash-completion
berkdb bibi bitmap-fonts bonobo cddb cdparanoia cdr crypt cups curl dbd dbread
divx4linux doc dv dvb dvd dvdr dvdread edl eds emacs emboss encode esd fam
ffmpeg flac foomaticdb fortran fpx gd gdbm ggi gif gnome gphoto2 gpm graphviz gs
gstreamer gtk gtk2 gtkhtml hal ieee1394 imagemagick imlib ipv6 jack java
javascript jbig jikes jpeg junit jython kde kdeenablefinal lcms libgd libgda
libwww lirc live lzo lzw lzw-tiff mad mailwrapper md5sum mng motif mozilla mp3
mpeg nas ncurses network nls nptl nptlonly nvidia objc odbc offensive ogg
oggvorbis openexr opengl oss pam pcre pdflib perl perlsuid pic plotutils png
povray ppds python qt quicktime readline real rtc ruby scanner sdl slang snmp
speex spell ssl svg tcktk tcltk tcpd test tetex tga theora threads tiff truetype
truetype-fonts type1-fonts udev unicode usb userlocales v4l v4l2 vorbis wmf
xalsa xanim xine xml xml2 xmms xpm xprint xv xvid xvmc yv12 zlib userland_GNU
kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS
Comment 3 Luc Stepniewski 2005-11-14 09:16:36 UTC
Created attachment 72879 [details]
synfig-0.61.01.ebuild
Comment 4 Luc Stepniewski 2005-11-14 09:19:08 UTC
Comment on attachment 72879 [details]
synfig-0.61.01.ebuild

ebuild update for the new repository and updated for the new version
Comment 5 Yaron Tausky 2005-12-23 14:01:06 UTC
Version 0.61.03 is now available.
Comment 6 jebas 2006-02-07 13:28:53 UTC
Created attachment 79163 [details]
synfig-0.61.03.ebuild

This just bumps to ebuild to 0.61.03.  There seems to be a problem with openexr, but it will compiled without the library.
Comment 7 Carsten Lohrke (RETIRED) gentoo-dev 2006-02-12 12:50:22 UTC
- please attch files as plain text
- the ebuild header is missing
Comment 8 Carsten Lohrke (RETIRED) gentoo-dev 2006-02-12 12:50:22 UTC
- please attch files as plain text
- the ebuild header is missing¹
- do DEPEND="...", DEPEND="${RDEPEND}" is superfluous

[1] http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=3
Comment 9 jebas 2006-03-01 14:35:09 UTC
Created attachment 81072 [details]
synfig-0.61.05.ebuild

Version bump with corrections.
Will compile with OpenEXR.
Comment 10 James Le Cuirot gentoo-dev 2006-03-12 09:32:53 UTC
Created attachment 81986 [details]
synfig-0.61.05.ebuild

I've cleaned up the dependencies. ImageMagick and libdv aren't actually needed at compile time, even if you enable them. The libraries for jpeg, png and tiff, on the other hand, are needed at compile time if you want support for them. fontconfig has been added too. The libdv and freetype USE flags had to be changed to match ones that already exist.

Seems to work fine except for the libavcodec and ffmpeg support. I'm guessing that, as usual, the versions we're using are just too recent.
Comment 11 James Le Cuirot gentoo-dev 2006-03-12 10:04:59 UTC
Created attachment 81987 [details]
synfig-0.61.05.ebuild

Better handling of docs and examples. Changed spaces to tabs.
Comment 12 Jakub Moc (RETIRED) gentoo-dev 2006-09-29 10:34:37 UTC
*** Bug 149541 has been marked as a duplicate of this bug. ***
Comment 13 Steve L 2006-10-08 07:53:14 UTC
Created attachment 99128 [details]
synfig-20060929.ebuild based on user subversion download

Hi,

  Posting updated ebuilds, based on a user-initiated subversion download. Instructions are at http://forums.gentoo.org/viewtopic-t-503491.html

  NB ebuilds don't provide virtuals. Designed to be used together.

HTH
Steve.
Comment 14 Steve L 2006-10-08 08:01:46 UTC
See *** Bug 149541 wrt SRC_URI 

Comment 15 Steve L 2007-01-03 11:48:03 UTC
Created attachment 105314 [details]
Updated ebuild for synfig base pkg, svn co #229

Hi

  Updated ebuild for latest synfig pkgs. NB requires the downloaded pkg to be available in distfiles/ on a mirror. Instructions for dl/tarring (if ya need em ;) at http://forums.gentoo.org/viewtopic-t-503491.html. Compiles fine on Athlon XP will try Core2 Duo (Intel EM64T- amd64 in gentoo) in a day or two.

HTH,
Steve.
Comment 16 Steve L 2007-01-13 17:13:38 UTC
Created attachment 106821 [details]
Synfig-229 Ebuild updated for docs

Hi,

  Updated to use doxygen docs, after feedback and advice from antarus. What other changes are needed? I'm using emake and also make install|docs which seems a bit odd.

NB ETL is a dep of this pkg:
http://bugs.gentoo.org/show_bug.cgi?id=111277
Its ebuild has been similarly updated, synfig-studio doesn't make docs.
Comment 17 Steve L 2007-01-30 00:38:36 UTC
Created attachment 108558 [details]
Synfig-231 (minor update)

Minor update to use emake, correct lack of space in brackets in `doc? (app-doc/doxygen)' (as pointed out by pmerge.)
Comment 18 Steve L 2007-06-13 11:14:10 UTC
synfig-502.ebuild disables libavcodec flag as advised by pabs3 one of the main 
#synfig devs.
Comment 19 Steve L 2007-06-13 11:14:14 UTC
Created attachment 121925 [details]
synfig-502.ebuild
Comment 20 Jakub Moc (RETIRED) gentoo-dev 2007-06-24 12:25:42 UTC
0.61.06 in sunrise-overlay now; stop sticking mirror://gentoo to SRC_URI because it makes ebuilds unfetchable and unusable.
Comment 21 oninoshiko 2007-08-04 21:35:53 UTC
Created attachment 126882 [details]
synfig-0.61.06.ebuild

Now pulls from sourceforge
Cleaned up some code in ebuild
Version bump
Comment 22 oninoshiko 2007-08-04 21:38:51 UTC
Comment on attachment 126882 [details]
synfig-0.61.06.ebuild

oops missed it being there already
Comment 23 Alexander Kazarin 2007-10-12 08:58:31 UTC
Created attachment 133241 [details]
synfig-0.61.07.ebuild
Comment 24 Cillian de Róiste 2007-11-19 20:38:25 UTC
Created attachment 136436 [details]
changed make install to emake install

just changing make install to emake install and trying to get it into sunrise
Comment 25 Cillian de Róiste 2007-11-19 20:48:41 UTC
Created attachment 136440 [details]
adding ~amd64 as a keyword

adding ~amd64 as a keyword, (was just ~x86)
Comment 26 Paul Wise (Debian) 2008-03-31 10:09:54 UTC
0.61.08 is out, please update (I'm from upstream).

Also, please change the URL to http://synfig.org
Comment 27 quazgar 2008-04-11 20:13:09 UTC
Created attachment 149434 [details]
bumped version

This ebuild compiles and synfig seems to run fine.  Basically just a renamed version of the previous with adapted dependencies.
Comment 28 Thomas Sachau gentoo-dev 2008-07-06 23:00:56 UTC
This ebuild is already in sunrise:

https://overlays.gentoo.org/proj/sunrise/browser/reviewed/media-gfx/synfig

I did update it in sunrise, please get yourself an account for sunrise or ask in #gentoo-sunrise (irc.freenode.net) for future revbumps.
Comment 29 quazgar 2008-10-16 23:16:03 UTC
Created attachment 168738 [details]
Version bump, some minor changes

Changes (partly copied from the sunrise ebuild):
* Corrected (c) year, homepage, KEYWORDS order
* Added some use_with statements
* jpeg support is now configurable
* png support is not optional (necessary for the splash screen)
* Updated dependency to ETL-0.04-12

Compiled fine on amd64
Comment 30 quazgar 2008-10-16 23:43:30 UTC
Created attachment 168750 [details]
Examples have changed names

Fixed ebuild so that the examples are actually installed (they are now saved as compressed .sifz files). Shouldn't they be installed via "make install" already? Possibly a bug upstream.
Comment 31 Paul Wise (Debian) 2008-10-23 05:04:26 UTC
0.61.09 has been released, please update.
Comment 32 Diego Barrios Romero 2009-12-22 22:27:28 UTC
Created attachment 213857 [details]
synfig-0.62.00.ebuild

Synfig 0.62.00 version. Removed libavcodec
Comment 33 Diego Barrios Romero 2009-12-22 22:29:27 UTC
Created attachment 213859 [details]
Development version

Ebuild for the last development version from the git repository
Comment 34 Diego Barrios Romero 2009-12-22 23:46:30 UTC
Created attachment 213866 [details]
Release version. minor changes

Typo fix for http://bugs.gentoo.org/attachment.cgi?id=213857 Thanks to rubik's cube
Comment 35 Diego Barrios Romero 2009-12-22 23:47:17 UTC
Created attachment 213868 [details]
Development version

Typo fix for http://bugs.gentoo.org/attachment.cgi?id=213859 Thanks to rubik's cube.
Comment 36 Diego Barrios Romero 2010-02-17 22:00:02 UTC
Created attachment 220109 [details]
Version bump

Last stable release version. Revised thanks to jlec. Added to sunrise overlay.
Comment 37 quazgar 2010-03-01 00:38:20 UTC
Hello,
thanks for the synfig ebuild.  Unfortunately it doesn't build for me here, but with this little change it works out fine.  Maybe the synfig sources have changed a bit?

========
--- synfig-0.62.00.ebuild       (revision 10205)
+++ synfig-0.62.00.ebuild       (working copy)
@@ -41,5 +41,7 @@
        emake DESTDIR="${D}" install || die "Install failed!"
        dodoc doc/*.txt || die "Dodoc failed!"
        insinto /usr/share/${PN}/examples
-       doins examples/*.si{f,fz} || die "Doins failed!"
+       doins examples/*.sifz || die "Doins failed!"
+       insinto /usr/share/${PN}/examples/walk
+       doins examples/walk/*.{sifz,jpg,lst} || die "Doins failed!"
 }
========

How about adding this patch to the ebuild?
Thanks!
Comment 38 Benjamin Southall 2010-03-07 11:34:54 UTC
Created attachment 222447 [details]
synfig-0.61.09 build log (doesn't build  [libsynfig_la-value.lo] Error 1)
Comment 39 Benjamin Southall 2010-03-07 11:41:03 UTC
Current  synfig-0.61.09 doesn't build for me. Neither doesn't synfig studio.
See attached build log and emerge --info is as follows (it was working with older packages in private overlay but when portage updated to sunrise it stopped working)
emerge --info
Portage 2.2_rc63 (default/linux/x86/10.0/desktop, gcc-4.3.4, glibc-2.11-r1, 2.6.32-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.32-gentoo-r5-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 06 Mar 2010 21:45:02 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p2
dev-java/java-config: 1.3.7-r1, 2.1.10
dev-lang/python:     2.4.4-r15, 2.5.4-r2, 2.6.4-r1, 3.1.1-r1
dev-python/pycrypto: 2.1.0
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.0-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils:  2.20-r1
sys-devel/gcc:       4.1.2, 4.3.4, 4.4.3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.32
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe -ggdb"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=prescott -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.aarnet.edu.au/pub/gentoo http://ftp.swin.edu.au/gentoo ftp://mirror.pacific.net.au/linux/Gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_GB ja zh zh_CN ru"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/appleman /usr/local/portage/layman/sunrise /usr/local/portage/layman/x11 /usr/local/portage/layman/science /usr/local/portage/layman/qting-edge"
SYNC="rsync://rsync.au.gentoo.org/gentoo-portage"
USE="3ds 7zip R X a52 aac aalib accessibility acl acpi ada alsa amarok amazon anthy antlr apache2 archive ares asterisk audiofile avahi backtrace bash-completion berkdb blas blender-game bluetooth boo branding bzip2 c++ cairo cdaudio cdda cdr cegui cisco cjk cli clisp consolekit cracklib crypt css cups cxx dbus debug dedicated deprecated dga dia djvu doc dri dts dvb dvd dvdr dvi editor eds embedded emboss encode evo exif fam fasttrack fat fbsplash ffmpeg firefox flac flash fortran ftp fuse gcj gdbm gecko gif gimp gimpprint ginac glade glitz glut gnokii gnutella gnutls gphoto2 gpm gsl gstreamer gtk guile gzip hal hfs html htmlhandbook htmlsingle iconv ieee1394 image imagemagick immqt-bc ipod ipv6 jabber jack javascript jfs joystick jpeg jpeg2k kde kde4 kdehiddenvisibility kig-scripting kipi ladspa lapack laptop lcd ldap libcaca libnotify libwww lirc lm_sensors m17n-lib mad matroska mdnsresponder-compat midi mikmod mjpeg mng modules mono mozcalendar mozdevelop mp3 mp4 mpeg mplayer msn mudflap musepack musicbrainz mysql ncurses networking networkmanager nls nntp nptl nptlonly nsplugin ntfs offensive ogg ogm ole openexr opengl openmp openssh pam pam_timestamp pcmcia pcre pda pdf perforce perl php plasma plotutils plugins png postscript povray ppds pppd projectm python qt3support qt4 quicktime rdesktop readline realmedia redland reflection reiser4 reiserfs remote resolvconf rtsp ruby samba scanner scenarios scim sdl secure-delete semantic-desktop server session shout skins slang smallgui sms sndfile solver soundtouch speedo speex spell spl sql sqlite ssl startup-notification stats stream subtitles subversion svg swat sysfs tcl tcpd teamarena theora threads thunar tiff timidity tk tools truetype unicode usb v4l v4l2 vamp vcd videos visualization vlm vnc vorbis webkit wifi win32codecs winbind wmf wmp wxwindows x264 x86 xcb xfs xine xinerama xinetd xml xorg xprint xscreensaver xulrunner xv xvid xvmc yahoo zeroconf zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse intel synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB ja zh zh_CN ru" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 40 Diego Barrios Romero 2010-03-16 14:34:02 UTC
Created attachment 223887 [details]
Version bump. Fix thanks to rubik's cube!

Ebuild fix thanks to rubik's cube. Thank you! I'll update it in sunrise.
Comment 41 Diego Barrios Romero 2010-03-16 14:38:26 UTC
Created attachment 223891 [details]
Development version. Fix thanks to rubik's cube

Live ebuild fix thanks to rubik's code.
Comment 42 Diego Barrios Romero 2010-03-16 14:46:23 UTC
(In reply to comment #38 and #39)

There is no reason to use that version, please update to the last stable version, currently 0.62.00, using the ebuilds attached here.

Comment 43 quazgar 2010-07-02 22:02:43 UTC
BTW, there's a new release (0.62.01) out now:
http://www.synfig.org/en/news/releases/89-release-06201

And thankfully it's in Sabayon already, the ebuild & patch (for libpng-1.4) just work for me (amd64)
http://gitweb.sabayon.org/?p=overlay.git;a=tree;f=media-gfx/synfig;h=eca1bbbad58e7267001173d10d10cf17e945e501;hb=refs/heads/master

Could someone maybe push that into sunrise, at least until someone volunteers as a maintainer?

(Oh, and it' time again for a bug title change.)
Comment 44 quazgar 2012-02-04 13:49:53 UTC
And a small bump notice to 0.63.03...
https://bugs.sabayon.org/show_bug.cgi?id=3021
Comment 45 Chí-Thanh Christopher Nguyễn gentoo-dev 2012-10-29 11:33:57 UTC
*** Bug 440112 has been marked as a duplicate of this bug. ***
Comment 46 Julian Ospald 2012-10-29 11:47:02 UTC
(In reply to comment #43)
> 
> Could someone maybe push that into sunrise, at least until someone
> volunteers as a maintainer?
> 

maybe you, join #gentoo-sunrise on freeenode
Comment 47 Jiří Helebrant 2014-02-14 10:26:43 UTC
Created attachment 370384 [details]
synfig-9999.ebuild

updated old live ebuild to work with current synfig code and current portage/eclasses
Comment 48 Sławek Lis (RETIRED) gentoo-dev 2014-12-12 13:10:43 UTC
Created attachment 391496 [details]
synfig-0.64.2.ebuild
Comment 49 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:45:13 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/
Comment 50 Samuel Bauer 2019-03-02 14:47:09 UTC
Created attachment 567448 [details]
draft ebuild for ETL 1.3.11

Up to date synfig ebuilds. Using cmake build system

Fixes to be compliant with multilib-strict, are included.

1/ Still need to update dependencies and use flags. (and remove relic comments when done)
2/ Better use local patches instead of sed in the prepare phase
3/ May be better to change category of ETL to media-libs
4/ Need to create desktop file for synfigstudio.
Comment 51 Samuel Bauer 2019-03-02 14:48:11 UTC
Created attachment 567450 [details]
draft ebuild for synfig core 1.3.11
Comment 52 Samuel Bauer 2019-03-02 14:49:13 UTC
Created attachment 567452 [details]
draft ebuild for synfig studio 1.3.11